setwd("adresasouboru")
source("adtestsim.R")



postscript("jmnoobrzku.eps",paper="special",width=10,height=10,horizontal=FALSE)
par(mfrow=c(2,2))
n=10
N=1000 #stabilni
repet=c(50,100,200,300,500,1000,2000,5000)
means=rep(NA,length(repet))
sds=rep(NA,length(repet))
sample=rnorm(n)
for(j in 1:length(repet)){
Q=rep(NA,N)
for(i in 1:N){
   Q[i]=adtestsim(rnorm(n),R=repet[j])$p.value
}
means[j]=mean(Q)
sds[j]=sd(Q)
}
plot(1:length(repet),means,ylim=c(0,0.15))
title("n=10")
points(1:length(repet),sds,pch=2)

n=20
N=1000 #stabilni
repet=c(50,100,200,300,500,1000,2000,5000)
means=rep(NA,length(repet))
sds=rep(NA,length(repet))
sample=rnorm(n)
for(j in 1:length(repet)){
Q=rep(NA,N)
for(i in 1:N){
   Q[i]=adtestsim(rnorm(n),R=repet[j])$p.value
}
means[j]=mean(Q)
sds[j]=sd(Q)
}
plot(1:length(repet),means,ylim=c(0,0.15))
title("n=20")
points(1:length(repet),sds,pch=2)

n=30
N=1000 #stabilni
repet=c(50,100,200,300,500,1000,2000,5000)
means=rep(NA,length(repet))
sds=rep(NA,length(repet))
sample=rnorm(n)
for(j in 1:length(repet)){
Q=rep(NA,N)
for(i in 1:N){
   Q[i]=adtestsim(rnorm(n),R=repet[j])$p.value
}
means[j]=mean(Q)
sds[j]=sd(Q)
}
plot(1:length(repet),means,ylim=c(0,0.15))
title("n=30")
points(1:length(repet),sds,pch=2)


n=50
N=1000 #stabilni
repet=c(50,100,200,300,500,1000,2000,5000)
means=rep(NA,length(repet))
sds=rep(NA,length(repet))
sample=rnorm(n)
for(j in 1:length(repet)){
Q=rep(NA,N)
for(i in 1:N){
   Q[i]=adtestsim(rnorm(n),R=repet[j])$p.value
}
means[j]=mean(Q)
sds[j]=sd(Q)
}
plot(1:length(repet),means,ylim=c(0,0.15))
title("n=50")
points(1:length(repet),sds,pch=2)
dev.off()
